Bug 58983 - startkde makes wrong assumptions about the shell environment
startkde makes wrong assumptions about the shell environment
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-01-28 16:45 EST by Nicholas Miell
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-28 16:45:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nicholas Miell 2002-01-28 16:45:47 EST
startkde assumes that df produces output in standard form (i.e. $BLOCK_SIZE or 
$DF_BLOCK_SIZE isn't set to human-readable or si) and that the noclobber shell 
option isn't set

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. arrange for "export BLOCK_SIZE=human-readable" and "set -o noclobber"
to be in a start-up file that is processed when the startkde script is
loaded (~/.bashrc will probably work, I don't really understand how bash 
decides to load these files)
2. run startkde

Actual Results:
The script dies because $space_tmp and $space_home aren't purely numbers
(they have letters like "M" or "G" in them).

If you fix that, the script dies because
"testfile_tmp=`mktemp /tmp/KDE.startkde.XXXXXX`; echo TEXT_TEXT > 
$testfile_tmp" doesn't work with noclobber set.

Expected Results:  Everything Just Works (TM).
Comment 1 Karsten Hopp 2002-07-24 06:36:44 EDT
It's bad idea to use noclobber, many scripts may/will fail if you 
set this variable. Nonetheless I've added a workaround to startkde.

Note You need to log in before you can comment on or make changes to this bug.